Skip to main content
PATCH
/
subscription_lists
/
{subscription_list_id}
Update subscription list
curl --request PATCH \
  --url https://api.paubox.net/v1/orca/{username}/subscription_lists/{subscription_list_id} \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "name": "Updated Newsletter Subscribers"
}
'
{
  "data": {
    "id": "<string>",
    "type": "subscription_list",
    "attributes": {
      "name": "<string>",
      "is_default": true,
      "subscriber_count": 123,
      "form_id": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paubox.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

authorization
string
header
required

Token-based authentication. Use format: "Token token=<API_KEY>" where <API_KEY> is your API key

Path Parameters

subscription_list_id
string
required

The ID of the subscription list to update

Body

application/json
name
string
required

Name of the subscription list

Response

Subscription list updated successfully

data
object